Get the audit stream configuration
GET /api
Response
200 — The Audit Stream configuration
ActivebooleanDescriptionstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.StreamConfigurationResourceobject
Example Response
JSON
{
"Active": true,
"Description": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"StreamConfigurationResource": {}
}Modify the audit stream configuration
PUT /api
Request Body
ActivebooleanDescriptionstringStreamConfigurationResourceobject
Response
200 — The modified Audit Stream configuration
ActivebooleanDescriptionstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.StreamConfigurationResourceobject
Example Request
JSON
{
"Active": true,
"Description": "string",
"StreamConfigurationResource": {}
}Example Response
JSON
{
"Active": true,
"Description": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"StreamConfigurationResource": {}
}